Support » Plugin: Yoast Duplicate Post » Error after update to 4.0 in Members plugin

  • Resolved mrtvy.kenny

    (@mrtvykenny)


    I want to edit user capabilities in Members plugin, I get error:

    Na řádku č. 57 v souboru /www/doc/www.xxxxxx.cz/www/wp-content/plugins/duplicate-post/src/class-permissions-helper.php došlo k chybě typu E_ERROR. Chybová zpráva: Uncaught TypeError: Argument 1 passed to Yoast\WP\Duplicate_Post\Permissions_Helper::is_rewrite_and_republish_copy() must be an instance of WP_Post, string given, called in /www/doc/www.xxxxxx.cz/www/wp-content/plugins/duplicate-post/src/ui/class-classic-editor.php on line 314 and defined in /www/doc/www.xxxxxx.cz/www/wp-content/plugins/duplicate-post/src/class-permissions-helper.php:57
    Stack trace:
    #0 /www/doc/www.xxxxxx.cz/www/wp-content/plugins/duplicate-post/src/ui/class-classic-editor.php(314): Yoast\WP\Duplicate_Post\Permissions_Helper->is_rewrite_and_republish_copy(‘shop_manager’)
    #1 /www/doc/www.xxxxxx.cz/www/wp-includes/class-wp-hook.php(287): Yoast\WP\Duplicate_Post\UI\Classic_Editor->remove_slug_meta_box(‘members_page_ro…’, ‘shop_manager’)
    #2 /www/doc/www.xxxxxx.cz/www/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)
    #3 /www/doc/www.xxxxxx.cz/www/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #4 /www/doc/ww

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support Maybellyne

    (@maybellyne)

    Hello,

    We are sorry about the error you encounter when you try to edit user capabilities in Members plugin.

    Just to be sure, we would like to rule out any plugin or theme conflicts that may occur. The fastest way to do this is to deactivate all non-Yoast plugins and switch to a standard theme like Twenty Nineteen

    Test this on your development or staging site, if you have one. If not, we recommend using the Health Check & Troubleshooting plugin. This plugin allows you to run a conflict check without affecting normal visitors to your site.

    As we can imagine that you’re unfamiliar with checking for conflicts, we’d like to point you to a step-by-step guide that will walk you through the process: How to check for plugin conflicts.

    Plugin Support Taco Verdonschot

    (@tacoverdo)

    Hi @mrtvykenny,

    Thanks for your patience. We’ve released version 4.0.1.
    Can you please confirm this resolves the problem you were facing?

    Thank you!

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.